#
# spec file for package python-gtk
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lparen (
%define rparen )
%define python_gtk_req %(zgrep -a _required_version %{SOURCE0} | sed -n 's/_required_version,[[:space:]]*/ >= /;s/%{rparen}$//;s/1.0.2%{rparen} dnl or 1.1.7/1.1.7/;s/\\%{lparen}glib\\|gtk\\|libglade\\|gobject\\%{rparen}/&2/;s/py\\%{lparen}.*\\%{rparen} /python-\\1 /;/gtk2unixprint/d;s/^m4_define%{lparen}//p' | tr '\\n' ' ')
Name:           python-gtk
Version:        2.24.0
Release:        22.7
Summary:        Python bindings for the GTK+ widget set
License:        LGPL-2.1-or-later
Group:          Development/Libraries/Python
URL:            http://www.pygtk.org/
Source:         http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.24/pygtk-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM pygtk-2.22.0-capsule.patch bgo#623965 bnc#669802 jmatejek@novell.com -- Conditionally use the new Capsule API instead of PyCObject
Patch0:         pygtk-2.22.0-capsule.patch
# PATCH-FIX-UPSTREAM pygtk-Drop-the-PangoFont-find_shaper-virtual-method.patch dimstar@opensuse.org -- Drop the PangoFont find_shaper virtual method
Patch1:         https://raw.githubusercontent.com/flathub/org.glimpse_editor.Glimpse/master/patches/pygtk-Drop-the-PangoFont-find_shaper-virtual-method.patch
BuildRequires:  fdupes
# Only for directory ownership:
BuildRequires:  gtk-doc
BuildRequires:  libglade2-devel
BuildRequires:  python-cairo-devel
BuildRequires:  python-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  python-rpm-macros
Requires:       %{python_gtk_req}
# for cross-distro compatibility:
Provides:       pygtk2 = %{version}
Provides:       python2-gtk = %{version}

%description
PyGTK is an extension module for python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in python with PyGTK (within reason), but with all of
python's benefits.

%package devel
Summary:        Files needed to build wrappers for GTK+ addon libraries
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python-cairo-devel
Requires:       python-gobject2-devel
Provides:       python2-gtk-devel = %{version}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%package doc
Summary:        Python bindings for the GTK+ widget set
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
PyGTK is an extension module for python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in python with PyGTK (within reason), but with all of
python's benefits.

%prep
%setup -q -n pygtk-%{version}
%patch0 -p1
%patch1 -p1

find examples -type f -name "*.py" -exec sed -i "s|#!%{_bindir}/env python|#!%{_bindir}/python2|" {} \;
find examples -type f -name "*.py" -exec sed -i "s|#! %{_bindir}/env python|#!%{_bindir}/python2|" {} \;

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -v

# move the docs to FHS-correct directory
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/gtk-doc %{buildroot}%{_docdir}/%{name}

sed -i "s|#!%{_bindir}/python|#!%{_bindir}/python2|" %{buildroot}%{_bindir}/pygtk-demo

rm examples/Makefile*
# demo is already in devel package
rm -rf examples/pygtk-demo
chmod +x %{buildroot}%{_libdir}/pygtk/2.0/{,*/}*.py
%fdupes %{buildroot}%{_libdir}
%fdupes %{buildroot}%{_datadir}

%files
%license COPYING
%doc AUTHORS NEWS README MAPPING ChangeLog THREADS
%exclude %{_docdir}/%{name}/html/
%{python2_sitearch}/gtk-2.0/gtk/
%{python2_sitearch}/gtk-2.0/atk.so
%{python2_sitearch}/gtk-2.0/gtkunixprint.so
%{python2_sitearch}/gtk-2.0/pango*.so

%files devel
%{_bindir}/pygtk-codegen-2.0
%{_bindir}/pygtk-demo
%{_includedir}/pygtk-2.0/pygtk/
%{_libdir}/pkgconfig/*.pc
# we explicitly list the directories here to be sure we don't include something
# that should live in the main package
%dir %{_datadir}/pygtk
%dir %{_libdir}/pygtk
%dir %{_datadir}/pygtk/2.0
%dir %{_libdir}/pygtk/2.0
%{_datadir}/pygtk/2.0/defs/
%{_libdir}/pygtk/2.0/pygtk-demo.py*
%{_libdir}/pygtk/2.0/demos/

%files doc
%doc examples/
%{_docdir}/%{name}/html/

%changelog
* Tue Jan 11 2022 Dirk Müller <dmueller@suse.com>
- add python-rpm-macros dependency
* Fri May 14 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Fix patch tag line of
  pygtk-Drop-the-PangoFont-find_shaper-virtual-method.patch.
* Mon Mar 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Make sure we build with py2 only
* Wed Nov 27 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Add pygtk-Drop-the-PangoFont-find_shaper-virtual-method.patch:
  Drop the PangoFont find_shaper virtual method. This API has been
  removed from Pango 1.44.6, because it was completely unused by
  anything.
* Sun Aug 18 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Drop python-numpy-devel BuildRequires and python-numpy Requires:
  No longer build the optional numpy support.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Jul 11 2017 toddrme2178@gmail.com
- Fix rpmlint errors
- Spec file cleanups
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Tue Oct 11 2011 jmatejek@suse.com
- moving docs to /usr/share/doc/gtk for FHS compliance (bnc#597244)
* Wed May  4 2011 jmatejek@novell.com
- added Provides: pygtk2 for cross-distro compatibility (bnc#688452)
* Wed May  4 2011 vuntz@opensuse.org
- Update to version 2.24.0:
  + Many many documentation improvements and updates
  + Add --without-glade configure option. No change to current
    behaviour.
  + Small setup.py fixes
- Changes from version 2.23.1:
  + Many many documentation improvements and updates
- Changes from version 2.23.0:
  + Many windows build fixes (bgo#371317)
  + Fix mainloop hangs with signalfd (bgo#638780, bgo#640738)
  + Fix TypeError when running tests (bgo#636589)
  + gtk.gdk.GC.set_clip_mask() should accept None (bgo#638994)
  + gtk.AboutDialog.set_program_name() should accept None
  + Add "import gtk; gtk.require('2.0')" statements to the examples
  + Add GTK-2.24 API
* Wed Feb  9 2011 jmatejek@novell.com
- added patch that switches to new Capsule API, because the deprecated
  PyCObject API will cause a segfault when warnings are exceptions
  (bnc#669802)
* Sun Sep 26 2010 vuntz@opensuse.org
- Update to version 2.22.0:
  + Fix build with Python 2.5
  + Add final GTK/GDK-2.22 API
  + Add missing GDK-2.18 API
* Sun Aug  8 2010 vuntz@opensuse.org
- Only have a python-gobject2-doc BuildRequires on openSUSE 11.3
  and earlier: starting with 11.4, this package is merged in
  python-gobject2-devel.
* Sun Aug  8 2010 vuntz@opensuse.org
- Update to version 2.21.0:
  + Bump version number so next stable release will be aligned with
    the final gtk+-2.0 release (gtk+-2.22)
  + Wrap new API added in GTK/GDK 2.21/2.22
  + Wrap new API added in GTK/GDK 2.20
  + Add forgotten API from GTK/GDK 2.12/14/16/18/20
- Drop python-gtk-fix-pkg-config.patch: fixed upstream.
- Move /usr/share/pygobject/ and files belonging to the demo
  application to devel subpackage.
* Sat Aug  7 2010 vuntz@opensuse.org
- Add python-gtk-fix-pkg-config.patch to add missing gtk+-2.0 in
  pkg-config file. Taken from upstream.
* Thu Apr  8 2010 vuntz@opensuse.org
- Change python-numpy BuildRequires to python-numpy-devel to really
  build with numpy support. Fix bnc#591012.
* Fri Jan 15 2010 vuntz@opensuse.org
- Update to version 2.17.0:
  + Some docs improvements
  + Wrap new API added in GTK/GDK 2.18
  + Release GIL in several gdk.Pixbuf methods (bgo#591726)
  + Fix override for gtk.TreeSortable.do_get_sorted_column_id
  + Make it possible to implement gtk.TreeSortable to some extent
  + Fix wrong gtk.gdk.color_from_hsv definition (bgo#594347)
  + Plug memory leaks in a few Pango Cairo functions (bgo#599730)
  + Plug a huge leak in gtk.Widget.get_snapshot() (bgo#596612)
  + Undeprecate gtk.Toolbar.(un)set_icon_size() again
- Remove python-gtk-acinclude.m4: it should not be needed anymore.
  We can also remove the autoreconf call.
- Use makeinstall macro.
* Thu Dec 17 2009 jengelh@medozas.de
- Package documentation as noarch
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 2.16.0:
  + Allow to use automake 1.11
  + Remove compiler warnings
  + Add gtk.gdk.CURRENT_TIME constant
  + Fix gtk.IMContext().set_client_window()
  + Some docs fix
  + Fixed invocation of FileChooserDialog in print demo
  + Some autotools tweaks
  + Fix arg parsing format typo for gtk_toggle_button_new
  + Update some docs to the new 2.16 API
- Changes from version 2.15.2:
  + Rename gtk.Statusbar.remove() to gtk.Statusbar.remove_message
  + Allow pango.Context creation (bgo#550855)
  + Make gtk.gdk.Pixbuf.add_alpha accept integers, retaining
    backward compatibility accepting also chars (bgo#586094)
  + Protect window obj from GC in gtk.window_get_toplevels
    (bgo#574259)
  + Plug huge number of memory leaks in Pango wrappers
  + Add gtk.gdk.WINDOWING constant (bgo#555112)
  + Wrap gdk_pixbuf_apply_embedded_orientation
  + Modernize constructors of seven more types
  + Don't free a string we don't own (bgo#585458)
  + Some docs tweaking
- Changes from version 2.15.1:
  + Add HSV support to gtk.gdk.Color objects
  + Add floating-point support to gtk.gdk.Color
  + Retire hand-written ChangeLog; autocreate from Git history
  + Fix conditional in docs/Makefile.am
  + Document that gtk.gdk.GC coordinates are not related to
    allocation
  + Make pygtk_boxed_unref_shared() also handle Py_None
  + Make gtk.MenuItem.set_submenu accept None
  + Don't run 'fixxref.py' if documentation is not built
  + Apply libtool 2.2 compatibility patch
  + Plug reference leak on main signal watch source
  + Add extra warning against accidental misuse of tree model
    columns
  + Wrap gtk.Border attributes and constructor
  + Make gtk.gdk.Event.time accept 'long' in assignments
  + Wrap gtk.RcStyle attributes
- Changes from version 2.15.0:
  + Update pygtk to use numpy instead of Numeric
    (bgo#397544)
  + Update the address of the FSF (bgo#577154)
  + Wrap gtk_builder_add_objects_from_string and
    gtk_builder_add_objects_from_file.
  + Add GTK+ 2.16 API
  + wrap gtk.IconView.convert_widget_to_bin_window_coords
  + add gtk.gdk.Window.redirect_to_drawable
  + add GtkNumberUpLayout enum
  + some method argument fixes
  + add gtk.PrintSettings.[get|set]_number_up_layout
  + Some demo fixes
  + Add various deprecation warnings
- Drop pygtk-2.14.1-numpy.patch: fixed upstream.
- Always BuildRequires/Requires python-numpy, and no longer use
  python-numeric on old openSUSE versions.
* Tue Apr 21 2009 matejcik@suse.cz
- update to 2.14.1
  * support for new gtk api
  * numerous bugfixes
- removed python-numeric dependency in favour of python-numpy
* Sat Jan 10 2009 olh@suse.de
- remove -fno-schedule-insns workaround, gcc is fixed
* Wed Nov 26 2008 vuntz@novell.com
- Add python-gtk-bgo534083-memory-corruption.patch to fix
  bnc#449152. Patch taken from upstream (see bgo#534083).
* Tue Oct 28 2008 olh@suse.de
- build with -fno-schedule-insns on ppc64 (bnc#428413)
* Mon Apr  7 2008 matejcik@suse.cz
- update to 2.12.1
  * minor bugfixes
  * includes treeview fix, removing the patch
* Tue Dec 11 2007 matejcik@suse.cz
- fixed treeview coordinate methods (#344311, gnome #479012)
* Wed Oct 17 2007 sbrabec@suse.cz
- Fixed name of python-gobject2 in previous change.
* Tue Oct 16 2007 sbrabec@suse.cz
- Fixed autoreconf.
- Use requirement versions defined by upstream.
- Use %%fdupes.
- Fixed scripts executable flag.
* Thu Sep 20 2007 sbrabec@suse.cz
- Updated to version 2.12.0:
  * Make pango bindings more pythonic
  * Remove X11 specific calls from non-X11 builds
  * Allow string parameters to have default empty string ("")
  * Make pango.Context non-instantiable
  * defsgen.py fixes
  * Docs build fixes
* Wed Jul 25 2007 jmatejek@suse.cz
- update to 2.10.6
  * builds correctly with new glib/gtk
  * minor bugfixes
* Fri May 25 2007 sbrabec@suse.cz
- Build correctly in the GNOME Build Service.
- Examples moved to devel package.
* Mon May  7 2007 sbrabec@suse.cz
- Reduced BuildRequires.
* Sat May  5 2007 james@usr-local-bin.org
- Updated to 2.10.4:
  * Documentation and build fixes
  * Return NULL on error in TextBuffer.register_serialize_format
  * Do not overwrite sys.argv
  * Add status icon example
  * Make it possible to remove rows in the gtk.TreeModel.foreach
    callback
  * Code generator fix for %%define
  * Duplicate GdkEvent.string member when setting it
  * Make it possible to use automake 1.10
  * distutils build fixes
  * Allow None to be passed into gdk.Display
  * Undeprecate gtk.container_class_list_child_properties
  * Fix memory leak in gtk.Container.child_get
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
- Splitted python-gtk-doc from python-gtk-devel.
* Sat Oct 21 2006 cthiel@suse.de
- update to version 2.10.3
  * Fix a crasher bug introduced in 2.10.2
  * Make PyGTK work with Python 2.5 and 64-bit
- changes from 2.10.0 to 2.10.2
  * distutils / win32 compilation fixes
  * gtk.TreeSelection.selected_foreach bug fix
  * Fix compilation older C compilers
- changes from 2.9.6 to 2.10.0
  * Issue a warning when a DISPLAY is not set
  * Copy style.css from pygobject docs when installing docs.
  * Include the built docs in the tarball
* Wed Aug 16 2006 cthiel@suse.de
- split of -devel package
* Thu Aug 10 2006 cthiel@suse.de
- update to version 2.9.6
  * GtkTreePath can be converted from integers again
  * Fix parallel build
  * Reduce exception abuse in code generator
  * Documentation improvements
- changes in 2.9.5
  * Make it possible to build with GTK+ 2.10
  * Make sure dir(gtk.keysyms) work again
  * reloading the gtk module works again
- changes in 2.9.4
  * Include John Finlay's PyGTK reference manual
  * Setters and getters for GtkWidget.activate_signal
  * GtkToolItemType setter/getter
  * Code generator fixes
  * Add more gtk+ 2.10 API
  * Don't copy treeiters in callbacks
  * Provide full information for GtkTreeSelection.set_select_function
  * Export less symbols and reduce the size of the libraries
  * Allow negative values for GtkTreeModel.set/getitem
  * Much improved interface/virtual method support
  * Remove evil 100ms timeout timer
- changes in 2.9.3
  * Update to latest gtk+ 2.10 API changes
  * Many more new gtk+ 2.10 APIs wrapped
  * Wrap gtk_widget_class_find_style_property
  * gtk.gdk.CairoContext.rectangle bug fix
  * Update defs for atk 1.8
  * Misc. module cleanups
  * New pango APIs wrapped
  * Fix refcount error in gtk.Clipboard
  * Enable GDK X11-specific APIs available also with gtk+ 2.8
  * Lazy loading of the gtk.keysyms module
- changes in 2.9.2
  * Fix a codegen bug that prevent build of other extensions
  * Builds with pycairo 1.1.6
  * gtk.TextBuffer rich text copy and serialization
  * Correct Print Editor example
- changes in 2.9.1
  * Allow gtk.TreeSortable.set_default_sort_func callback to be None
  * Add API to unset the g_log handlers
  * Allow the gtk module to be imported without DISPLAY
  * Code cleanup and fixes considering Coverity reports
  * Add codegen support for const-Object return type
  * Add codgen support for unblocking threads around method calls
  * Wrap gdk_event_handler_set
  * Codegen reverse wrapper bug fix (#340162, Yevgen Muntyan)
  * Wrap GdkRegion (John Ehresman)
  * Add codegen support for ignore-type statement in override
  * Add conditional support for gtk+ 2.10 API, especially printing
  * Complete the support for gtk.Container virtual methods
  * Fix misc. reference leaks
  * Allow None parameter in pangocairo.CairoContext.set_font_options
  * Complete the support for gtk.CellRenderer virtual methods
  * IconView.set_cursor method params 'cell' and 'start_editing' made
    optional
  * Wrap a few more gdk_cairo_* methods
  * Add a 'selection' field to gdk.OWNER_CHANGE events
  * Allow None in gtk.Entry.set_inner_border()
  * gtk.Clipboard rich text methods
  * Add gtk.MessageDialog.set_image()
  * Wrap gtk_link_button_set_uri_hook()
  * Allow None in gtk.Widget.input_shape_combine_mask()
  * Allow gtk.LinkButton() constructor to optionally receive a label
  * Allow None in gtk.Label.set_mnemonic_widget()
  * Wrap a bunch of X11 specific gdk methods
  * Add gtk.SizeGroup.get_widgets()
  * Wrap gtk_style_lookup_color()
  * Wrap a bunch of gtk treeview grid lines methods
  * Better Drag and drop API support
  * Add -I option to codegen (defs search path)
- changes in 2.9.0
  * Remove gobject, pygobject is now a hard dependency
  * Set encoding in pango instead of gtk
  * Wrap gdk.Screen.get_rgba_colormap/get_rgbma_visual
  * Remove private gtk wrappers
  * Add a bunch of missing wrappers
  * Add inout support in reverse wrappers
  * Update h2defs to allow whitespace before parenthesis
  * Make it possible to reimplement interfaces
  * Allow log_handler to be called when python is not initialized
  * Support for const object args
  * Export pygtk tree model api
  * Allow overrides to be in base classes
  * Wrap a pango cairo font options acecssors
  * Add GDK_PARENT_RELATIVE relative handling
  * Improve pixbuf demo
  * Set default markup accel marker to \x00
  * Set 1 as default argument to SpinButton.spin()
  * Wrap gdk.Drawable.gdk_draw_indexed_image
  * Mark rowreference.free() as deprecated
  * Rename name of first keyword argument to pango.LayoutLine.index_to_x
  * Run reindent on all python code
  * Improve generictreemodel example
  * Wrap gdk.Pixbuf.rotate_simple
  * Use in argument in gtk.TreeView.cell_get_size
- changes in 2.8.5
  * String list bug fix
  * Improved examples
  * Proper refcounting in gdk.Window constructor
  * Fix a bunch of reference leaks
  * __init__.py fixes for pydoc
  * gtk.Dialog.new_with_buttons leak
- changes in 2.8.4
  * Re-include gobject wrappers if pygobject is not found
  * gtk.IconView should implement GtkCellLayout
  * Always install pygtk-2.0.pc
- changes in 2.8.3
  * Split out gobject wrappers into a separate module and
    depend on pygobject 2.9.0
  * Bug fixes
  * Size group example
  * Plug mem leaks
  * Build cairo on win32
* Tue Mar 28 2006 jmatejek@suse.cz
- fixed permissions on pygtk-demo
* Mon Mar  6 2006 gekker@suse.de
- Add python-cairo to Requires to fix issues in packages
  that require python-gtk
* Tue Feb 28 2006 sbrabec@suse.cz
- Added missing python-cairo to BuildRequires (#153456).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 jmatejek@suse.cz
- update to 2.8.2
* Mon Sep  5 2005 aj@suse.de
- Update to 2.8.0.
* Wed Aug 10 2005 sbrabec@suse.cz
- Do not require -devel packages.
* Tue Aug  2 2005 gekker@suse.de
- update to 2.7.1 (adds gtk 2.8 support)
* Tue May 10 2005 mcihar@suse.cz
- update to 2.6.2
* Thu Apr 14 2005 mcihar@suse.cz
- update to 2.6.1
* Tue Feb  8 2005 mcihar@suse.cz
- update to 2.5.3 (adds gtk 2.6 support)
- fix permissions
* Wed Dec  1 2004 mcihar@suse.cz
- no need to recompile modules with current automake
* Wed Nov 24 2004 mcihar@suse.cz
- udpdate to 2.4.1
* Tue Nov 23 2004 ro@suse.de
- fix build for <= 9.0 (only py_ver works everywhere)
* Thu Apr 15 2004 mcihar@suse.cz
- updated to 2.2.0
- drop gtk 1.2 support
* Mon Feb 23 2004 mcihar@suse.cz
- really fix sed call
* Sat Feb 21 2004 ro@suse.de
- fix typo in specfile
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Fri Feb 20 2004 mcihar@suse.cz
- enable threading in GTK 2 version (bug #34648)
- build GTK 1.2 version with -fno-strict-aliasing
* Mon Nov  3 2003 meissner@suse.de
- requires python-numeric in installed system too.
* Wed Oct 15 2003 mcihar@suse.cz
- record-rpm is really not needed
- don't build as root
* Tue Sep  2 2003 mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 mcihar@suse.cz
- force usage of pygtk.py from 1.99.18 and not from 0.6.11 (caused
  problems with default sys.path in python 2.3)
* Tue Aug 26 2003 mcihar@suse.cz
- updated to 1.99.18:
  - Fix up a duplicate symbol bug in the atk module, that was
    causing build problems on MacOS X (hopefully the last such
    problem).
  - add gtk.glade.set_custom_handler() API, that provides more
    info to the custom widget callback.  Deprecate
    set_custom_widget_callbacks().
  - some other bug fixes.
* Thu Aug  7 2003 mcihar@suse.cz
- updated to 1.99.17:
  - Threading support is compiled in by default now.  It is
    necessary to call gtk.threads_init() in order to make use of
    threading though.  There have been a number of fixes to the
    threading support too.
  - Fix up some problems with multiple definitions of global
    variables in gobject module, that was causing problems on
    Mac OS X.
  - Wrappers for many new APIs (John Finlay, Naofumi Yasufuku,
    Johan Dahlin and others).
  - Improvements to the code generator to give better error
    messages.
  - Some fixes to property APIs to work correctly on 64 bit
    systems, and to handle ATOM type properties.
  - Fix copyright headers on source files.
* Wed Aug  6 2003 mcihar@suse.cz
- added workaround for lib64 dirs and pkgconfig
* Tue Aug  5 2003 mcihar@suse.cz
- use distutils when possible
- compile python files with correct paths inside
- fix pkgconfig and codegen files to not contain buildroot
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 29 2003 mcihar@suse.cz
- make executable only files that should be
* Mon May 12 2003 mcihar@suse.cz
- use versioned dependency on python
* Mon May  5 2003 mcihar@suse.cz
- gnome 2 version updated to 1.99.16
* Wed Mar 12 2003 mcihar@suse.cz
- include both pygtk versions (for Gtk 1.2 and 2.0) making 1.2
  version default, this fixes bug #25148
* Thu Jan 23 2003 mcihar@suse.cz
- updated to 1.99.14
* Fri Nov 29 2002 mcihar@suse.cz
- added libxml2{,-devel} to neededforbuild to enable building with glade
* Wed Nov 27 2002 mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 mcihar@suse.cz
- version for GNOME 2
- fixes #21066 - dangling symlink
